/* ===== BODY & GENERAL ===== */
body {
    padding: 20px;
}

/* ===== PAGE WRAPPER ===== */
.page-wrapper {
    display: flex;
    gap: 15px;
    max-width: 1200px;
    margin: 0 auto;
}

.eye-column {
    display: flex;
    flex-direction: column;
    gap: 0px;
    min-height: 100vh;
}

.eye-column img {
    width: auto;
    height: auto;
}

/* ===== GALLERY CONTAINER ===== */
.gallery-container {
    flex: 1;
    max-width: 980px;
}

/* ===== ART JOURNAL SECTION ===== */
.art-journal {
    background-color: #3b4b31;
    border: outset rgb(255, 0, 0);
    padding: 10px;
    box-shadow: 6px 6px 0px purple;
}

.art-journal h2 {
    color: yellow;
    text-align: center;
    font-size: 28px;
    margin: 10px 0;
    text-decoration: underline;
    text-decoration-color: cyan;
    background-image: url("images/background.jpg");
    padding: 8px;
    border: inset yellow 3px;
}

.art-entries {
    height: 781px;
    overflow-y: scroll;
    background-image: url("images/bg3.jpg");
    border: 3px solid black;
    padding: 15px;
}

.art-entry {
    background-color: white;
    border: outset red 4px;
    margin-bottom: 20px;
    padding: 8px;
    box-shadow: 5px 5px 0px var(--darkcyan);
}

.art-image-container {
    background-color: #cccccc;
    border: inset blue 3px;
    padding: 5px;
    text-align: center;
    margin-bottom: 8px;
}

.art-image-container img {
    width: 100%;
    height: auto;
    border: 2px solid black;
    display: block;
}

.art-image-container a {
    display: block;
    cursor: pointer;
}

.art-image-container a:hover img {
    opacity: 0.85;
    border-color: blueviolet;
}

.art-text {
    padding: 10px;
    background-color: #ffffff;
    margin: 8px 0;
}

.art-text p {
    margin: 0;
    font-size: 13px;
    line-height: 1.5;
    color: black;
}

.art-date {
    font-size: 11px;
    color: red;
    font-weight: bold;
    font-family: "Courier New", Courier, monospace;
    text-transform: uppercase;
    
    padding: 6px 8px;
    margin-bottom: 4px;
}

.art-title {
    font-size: 16px;
    font-weight: bold;
    color: blue;
    
    padding: 6px 8px;
    margin-bottom: 8px;
}





/* ===== VINE BANNER ===== */
.vine-banner {
    margin-top: 30px;
    text-align: center;
}

.vine-banner img {
    width: 100%;
    height: auto;
    display: block;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
}
